Jump to content

Generate Boundary Line By Selecting Intersecting lines


Recommended Posts

Posted (edited)

Capture.PNG.054ab6fd53c3f1b70b79b9989a28c726.PNG

Hi All im looking for lisp routine that does the following.

1. Generate boundary line by selecting intersecting lines or blocks as shown above.

2. Set the generated boundary to specific layer, say Boundary Lines

 

Thanks in Advance

 

Note: Cannot attach image not sure why. hopefully someone can understand my post :) Thanks

Edited by loudy000
cannot attach image
Posted

Those arch-like things ... are they always arcs?

Posted

Nope sometimes lines, polylines or would be good if can be anything

Posted (edited)

Have you tried Bpoly it uses a pick point and makes a boundary.  

(command "_.Bpoly" (getpoint) "")

 (command '_.BPoly" (getpoint) "")

 

Edited by BIGAL
"_.Bpoly"
  • Like 1
Posted

You can use a fence option with ssget crossing the vertical lines to do multiples, pretty sure fence returns the crossing order of objects. Will test.

Can you take a step back and create the bpoly as you create the vertical lines wold be a better way to approach the problem. Please explain more the situation of how you end up with the drawing.

Posted

So the process is we first create those lines using measure command to get exactly the desired area or spacing between plots, the sizes may vary depending on the required area. After that we need to model those plots which requires polylines(closed). 

Posted

I would pay $14 then I could use the spare time to play here at cadtutor and the boss would not know.

  • Like 1
  • Funny 1
Posted

yeah that's probably a good idea :D thanks mates

Posted
  On 8/27/2018 at 3:00 PM, Stefan BMR said:

Hi

You can try the Enclosed Polylines.lsp from here.

Expand  

Awesome!!! Many thanks!, Can this work with blocks as well?

    (setq ss (ssget ":L" '((0 . "LINE,LWPOLYLINE,ARC,CIRCLE,BLOCK"))))

Tried that but didn't work. Thnks

Posted

The thing you select is not a block, but rather an insert. Try like that

(setq ss (ssget ":L" '((0 . "LINE,LWPOLYLINE,ARC,CIRCLE,INSERT"))))

Cheers

Posted

It will not work with blocks. It needs curve objects.

image.png.bb16502faa50507520f82385562892fa.png

Posted
  On 8/27/2018 at 7:33 PM, ronjonp said:

It will not work with blocks. It needs curve objects.

image.png.bb16502faa50507520f82385562892fa.png

Expand  

I see, Thanks :)

Posted
  On 8/27/2018 at 7:23 PM, Jef! said:

The thing you select is not a block, but rather an insert. Try like that

(setq ss (ssget ":L" '((0 . "LINE,LWPOLYLINE,ARC,CIRCLE,INSERT"))))

Cheers

Expand  

Thanks Jef it works for selection only but not for the whole routine as ronjonp was saying

Posted
  On 8/27/2018 at 7:58 PM, loudy000 said:

Thanks Jef it works for selection only but not for the whole routine as ronjonp was saying

Expand  

I just replied to your ssget question. I'm not a member of the swamp, therefore I cannot see the routine attached by Lee. Sorry I cannot be of further assistance.

Posted
  On 8/27/2018 at 8:27 PM, Jef! said:

I just replied to your ssget question. I'm not a member of the swamp, therefore I cannot see the routine attached by Lee. Sorry I cannot be of further assistance.

Expand  

no worries :) see attached if you want to have a look at it. Cheers!

Enclosed polylines.LSP

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...